Bug 120968 - cups getting avc: denied after rhpl update
cups getting avc: denied after rhpl update
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rhpl (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-15 14:01 EDT by Gene Czarcinski
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-01 08:47:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gene Czarcinski 2004-04-15 14:01:12 EDT
Description of problem:
After updating I get:

Apr 15 12:46:59 chaos kernel: audit(1082047619.018:0): avc:  denied  {
write } for  pid=1540 exe=/usr/bin/python name=rhpl dev=hda7
ino=833682 scontext=system_u:system_r:cupsd_t
tcontext=system_u:object_r:lib_t tclass=dir

Version-Release number of selected component (if applicable):
rhpl-0.140-1
policy-1.11.2-6
Comment 1 Gene Czarcinski 2004-04-15 14:05:46 EDT
I just ran an addition test of manually stoping and then starting cups
(by root as sysadm_r) and I got in /var/log/messages:

Apr 15 14:08:06 chaos cups: cupsd shutdown succeeded
Apr 15 14:08:13 chaos kernel: audit(1082052493.221:0): avc:  denied  {
write } for  pid=5897 exe=/usr/bin/python name=rhpl dev=hda7
ino=833682 scontext=root:system_r:cupsd_t
tcontext=system_u:object_r:lib_t tclass=dir
Apr 15 14:08:13 chaos kernel: audit(1082052493.234:0): avc:  denied  {
search } for  pid=5897 exe=/usr/bin/python name=root dev=hda7
ino=1060801 scontext=root:system_r:cupsd_t
tcontext=root:object_r:staff_home_dir_t tclass=dir
Apr 15 14:08:13 chaos last message repeated 2 times
Apr 15 14:08:13 chaos kernel: audit(1082052493.235:0): avc:  denied  {
search } for  pid=5897 exe=/usr/bin/python name=root dev=hda7
ino=1060801 scontext=root:system_r:cupsd_t
tcontext=root:object_r:staff_home_dir_t tclass=dir
Apr 15 14:08:13 chaos kernel: audit(1082052493.307:0): avc:  denied  {
getattr } for  pid=5898 exe=/bin/bash path=/root dev=hda7 ino=1060801
scontext=root:system_r:cupsd_t tcontext=root:object_r:staff_home_dir_t
tclass=dir
Apr 15 14:08:13 chaos kernel: audit(1082052493.308:0): avc:  denied  {
search } for  pid=5898 exe=/bin/bash name=root dev=hda7 ino=1060801
scontext=root:system_r:cupsd_t tcontext=root:object_r:staff_home_dir_t
tclass=dir
Apr 15 14:08:13 chaos kernel: audit(1082052493.372:0): avc:  denied  {
getattr } for  pid=5902 exe=/bin/bash path=/root dev=hda7 ino=1060801
scontext=root:system_r:cupsd_t tcontext=root:object_r:staff_home_dir_t
tclass=dir
Apr 15 14:08:13 chaos kernel: audit(1082052493.385:0): avc:  denied  {
getattr } for  pid=5903 exe=/bin/bash path=/root dev=hda7 ino=1060801
scontext=root:system_r:cupsd_t tcontext=root:object_r:staff_home_dir_t
tclass=dir
Apr 15 14:08:13 chaos kernel: audit(1082052493.396:0): avc:  denied  {
getattr } for  pid=5904 exe=/bin/bash path=/root dev=hda7 ino=1060801
scontext=root:system_r:cupsd_t tcontext=root:object_r:staff_home_dir_t
tclass=dir
Apr 15 14:08:13 chaos kernel: audit(1082052493.405:0): avc:  denied  {
getattr } for  pid=5905 exe=/bin/bash path=/root dev=hda7 ino=1060801
scontext=root:system_r:cupsd_t tcontext=root:object_r:staff_home_dir_t
tclass=dir
Apr 15 14:08:13 chaos kernel: audit(1082052493.416:0): avc:  denied  {
getattr } for  pid=5906 exe=/bin/bash path=/root dev=hda7 ino=1060801
scontext=root:system_r:cupsd_t tcontext=root:object_r:staff_home_dir_t
tclass=dir
Apr 15 14:08:13 chaos kernel: audit(1082052493.422:0): avc:  denied  {
search } for  pid=5906 exe=/bin/bash name=root dev=hda7 ino=1060801
scontext=root:system_r:cupsd_t tcontext=root:object_r:staff_home_dir_t
tclass=dir
Apr 15 14:08:13 chaos kernel: audit(1082052493.435:0): avc:  denied  {
search } for  pid=5908 exe=/usr/bin/ptal-device name=root dev=hda7
ino=1060801 scontext=root:system_r:cupsd_t
tcontext=root:object_r:staff_home_dir_t tclass=dir
Apr 15 14:08:13 chaos kernel: audit(1082052493.443:0): avc:  denied  {
getattr } for  pid=5909 exe=/bin/bash path=/root dev=hda7 ino=1060801
scontext=root:system_r:cupsd_t tcontext=root:object_r:staff_home_dir_t
tclass=dir
Apr 15 14:08:13 chaos kernel: audit(1082052493.453:0): avc:  denied  {
getattr } for  pid=5910 exe=/bin/bash path=/root dev=hda7 ino=1060801
scontext=root:system_r:cupsd_t tcontext=root:object_r:staff_home_dir_t
tclass=dir
Apr 15 14:08:13 chaos kernel: audit(1082052493.465:0): avc:  denied  {
getattr } for  pid=5911 exe=/bin/bash path=/root dev=hda7 ino=1060801
scontext=root:system_r:cupsd_t tcontext=root:object_r:staff_home_dir_t
tclass=dir
Apr 15 14:08:13 chaos kernel: audit(1082052493.475:0): avc:  denied  {
getattr } for  pid=5912 exe=/bin/bash path=/root dev=hda7 ino=1060801
scontext=root:system_r:cupsd_t tcontext=root:object_r:staff_home_dir_t
tclass=dir
Apr 15 14:08:13 chaos kernel: audit(1082052493.491:0): avc:  denied  {
getattr } for  pid=5913 exe=/bin/bash path=/root dev=hda7 ino=1060801
scontext=root:system_r:cupsd_t tcontext=root:object_r:staff_home_dir_t
tclass=dir
Apr 15 14:08:13 chaos kernel: audit(1082052493.500:0): avc:  denied  {
getattr } for  pid=5914 exe=/bin/bash path=/root dev=hda7 ino=1060801
scontext=root:system_r:cupsd_t tcontext=root:object_r:staff_home_dir_t
tclass=dir
Apr 15 14:08:15 chaos kernel: audit(1082052495.666:0): avc:  denied  {
getattr } for  pid=6076 exe=/bin/bash path=/root dev=hda7 ino=1060801
scontext=root:system_r:cupsd_t tcontext=root:object_r:staff_home_dir_t
tclass=dir
Apr 15 14:08:15 chaos kernel: audit(1082052495.680:0): avc:  denied  {
getattr } for  pid=6077 exe=/bin/bash path=/root dev=hda7 ino=1060801
scontext=root:system_r:cupsd_t tcontext=root:object_r:staff_home_dir_t
tclass=dir
Apr 15 14:08:16 chaos cups: cupsd startup succeeded
Comment 2 Daniel Walsh 2004-12-01 08:47:40 EST
This is fixed in the shipping policy.

Note You need to log in before you can comment on or make changes to this bug.